Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2392963003: Add Audio support in Chromoting host when using WebRTC. (Closed)

Created:
2 years, 11 months ago by Sergey Ulanov
Modified:
2 years, 11 months ago
Reviewers:
nicholss, Jamie
CC:
chromium-reviews, chromoting-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add Audio support in Chromoting host when using WebRTC. This change adds WebrtcVideoStream that sends audio from the host to the client. Audio is sent in a media stream separate from video. BUG=638505 Committed: https://crrev.com/24b257a192875a00ab9de76f52d893ff9b9cad21 Cr-Commit-Position: refs/heads/master@{#424090}

Patch Set 1 #

Patch Set 2 #

Patch Set 3 : . #

Total comments: 10

Patch Set 4 : . #

Total comments: 2

Patch Set 5 : . #

Patch Set 6 : <numeric> #

Patch Set 7 : fix leak #

Patch Set 8 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+587 lines, -46 lines) Patch
M remoting/host/chromoting_host.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/BUILD.gn View 1 2 3 3 chunks +7 lines, -0 lines 0 comments Download
M remoting/protocol/audio_pump_unittest.cc View 1 2 3 2 chunks +1 line, -18 lines 0 comments Download
M remoting/protocol/audio_stream.h View 1 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/connection_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
A remoting/protocol/fake_audio_source.h View 1 2 3 1 chunk +33 lines, -0 lines 0 comments Download
A + remoting/protocol/fake_audio_source.cc View 1 2 3 1 chunk +8 lines, -4 lines 0 comments Download
A remoting/protocol/webrtc_audio_source_adapter.h View 1 chunk +61 lines, -0 lines 0 comments Download
A remoting/protocol/webrtc_audio_source_adapter.cc View 1 2 3 4 1 chunk +191 lines, -0 lines 0 comments Download
A remoting/protocol/webrtc_audio_source_adapter_unittest.cc View 1 2 3 4 5 6 7 1 chunk +120 lines, -0 lines 0 comments Download
A remoting/protocol/webrtc_audio_stream.h View 1 2 3 1 chunk +54 lines, -0 lines 0 comments Download
A remoting/protocol/webrtc_audio_stream.cc View 1 2 3 1 chunk +71 lines, -0 lines 0 comments Download
M remoting/protocol/webrtc_connection_to_client.h View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/protocol/webrtc_connection_to_client.cc View 1 2 3 7 chunks +22 lines, -8 lines 0 comments Download
M remoting/protocol/webrtc_video_stream.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/webrtc_video_stream.cc View 1 2 3 3 chunks +10 lines, -9 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 30 (14 generated)
nicholss
LGTM
2 years, 11 months ago (2016-10-04 21:56:59 UTC) #2
Sergey Ulanov
+jamiewalch@
2 years, 11 months ago (2016-10-04 22:33:12 UTC) #4
Sergey Ulanov
Also updated WebrtcConnectionToClient to use WebrtcAudioStream. Sorry I forgot to add that change.
2 years, 11 months ago (2016-10-04 22:39:44 UTC) #5
Jamie
https://codereview.chromium.org/2392963003/diff/40001/remoting/protocol/webrtc_audio_source_adapter.cc File remoting/protocol/webrtc_audio_source_adapter.cc (right): https://codereview.chromium.org/2392963003/diff/40001/remoting/protocol/webrtc_audio_source_adapter.cc#newcode24 remoting/protocol/webrtc_audio_source_adapter.cc:24: class WebrtcAudioSourceAdapter::Core{ Nit: Space after Core https://codereview.chromium.org/2392963003/diff/40001/remoting/protocol/webrtc_audio_source_adapter.cc#newcode42 remoting/protocol/webrtc_audio_source_adapter.cc:42: std::vector<uint8_t> ...
2 years, 11 months ago (2016-10-04 23:36:06 UTC) #6
Sergey Ulanov
https://codereview.chromium.org/2392963003/diff/40001/remoting/protocol/webrtc_audio_source_adapter.cc File remoting/protocol/webrtc_audio_source_adapter.cc (right): https://codereview.chromium.org/2392963003/diff/40001/remoting/protocol/webrtc_audio_source_adapter.cc#newcode24 remoting/protocol/webrtc_audio_source_adapter.cc:24: class WebrtcAudioSourceAdapter::Core{ On 2016/10/04 23:36:05, Jamie wrote: > Nit: ...
2 years, 11 months ago (2016-10-05 21:52:24 UTC) #7
Jamie
lgtm https://codereview.chromium.org/2392963003/diff/60001/remoting/protocol/webrtc_audio_source_adapter.cc File remoting/protocol/webrtc_audio_source_adapter.cc (right): https://codereview.chromium.org/2392963003/diff/60001/remoting/protocol/webrtc_audio_source_adapter.cc#newcode123 remoting/protocol/webrtc_audio_source_adapter.cc:123: } Here, |partial_frame_| actually contains a complete frame. ...
2 years, 11 months ago (2016-10-05 22:08:11 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2392963003/80001
2 years, 11 months ago (2016-10-08 05:34:13 UTC) #11
Sergey Ulanov
https://codereview.chromium.org/2392963003/diff/60001/remoting/protocol/webrtc_audio_source_adapter.cc File remoting/protocol/webrtc_audio_source_adapter.cc (right): https://codereview.chromium.org/2392963003/diff/60001/remoting/protocol/webrtc_audio_source_adapter.cc#newcode123 remoting/protocol/webrtc_audio_source_adapter.cc:123: } On 2016/10/05 22:08:11, Jamie wrote: > Here, |partial_frame_| ...
2 years, 11 months ago (2016-10-08 05:52:47 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/311286)
2 years, 11 months ago (2016-10-08 05:55:03 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2392963003/100001
2 years, 11 months ago (2016-10-08 06:18:06 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/240312)
2 years, 11 months ago (2016-10-08 07:08:51 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2392963003/120001
2 years, 11 months ago (2016-10-08 21:29:03 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/249874)
2 years, 11 months ago (2016-10-08 21:41:07 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2392963003/130001
2 years, 11 months ago (2016-10-09 01:54:46 UTC) #27
commit-bot: I haz the power
Committed patchset #8 (id:130001)
2 years, 11 months ago (2016-10-09 02:47:30 UTC) #28
commit-bot: I haz the power
2 years, 11 months ago (2016-10-09 02:49:16 UTC) #30
Message was sent while issue was closed.
Patchset 8 (id:??) landed as
https://crrev.com/24b257a192875a00ab9de76f52d893ff9b9cad21
Cr-Commit-Position: refs/heads/master@{#424090}

Powered by Google App Engine
This is Rietveld 408576698